From 4011df30baa9eb1f02407863262bb4de8e1e7e28 Mon Sep 17 00:00:00 2001
From: Francisco Borges Aurindo Barros
 <francisco.borges.aurindo.barros@cern.ch>
Date: Tue, 15 Nov 2022 18:11:06 +0100
Subject: [PATCH] Update clone script to fail when rsync or other comments fail

---
 images/drupal-operations-scripts/clone.sh | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/images/drupal-operations-scripts/clone.sh b/images/drupal-operations-scripts/clone.sh
index b9d5a8e1d..ec50d6286 100755
--- a/images/drupal-operations-scripts/clone.sh
+++ b/images/drupal-operations-scripts/clone.sh
@@ -1,5 +1,9 @@
 #!/bin/sh
 
+# We want to make the job fail if a command exits with non-zero code
+# An example was an incident seen on the 11/11/2022, where rsync failed for external purposes
+set -e
+
 usage() {
   echo "Usage: $0 [--filename <filename.sql> || --path <path_for_filename>]" 1>&2;
   exit 1;
-- 
GitLab